var repair = 4; var damageGet = 1; var itemID = 2086; var maxDamage = 120;
var power = 5+Math.sqrt(gardening_lvl*2); var breakSpeech = "My garden is ruined!";
var tool = [10, 18, 20, 45, 30, 15, 5]; mainSkill = gardening_lvl;

if (timing > 4) {timing = 0; itemUsed = true; if (pinv.getCurrentItem() != null)
{if (pinv.getCurrentItem().itemID == itemID) {var ent = pinv.getCurrentItem(); player.swingMainHand();}}
if (pinv.getOffhandItem() != null) 
{if (pinv.getOffhandItem().itemID == itemID) {var ent = pinv.getOffhandItem(); player.swingOffHand();}}

if (hitBlock != null) {time.sleep(0.05);
script.runScript("destructable blocks.js");}}